package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.License;

/**
 * 执照Service接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface ILicenseService 
{
    /**
     * 查询执照
     * 
     * @param licenseId 执照主键
     * @return 执照
     */
    public License selectLicenseByLicenseId(Long licenseId);

    /**
     * 查询执照列表
     * 
     * @param license 执照
     * @return 执照集合
     */
    public List<License> selectLicenseList(License license);

    /**
     * 新增执照
     * 
     * @param license 执照
     * @return 结果
     */
    public int insertLicense(License license);

    /**
     * 修改执照
     * 
     * @param license 执照
     * @return 结果
     */
    public int updateLicense(License license);

    /**
     * 批量删除执照
     * 
     * @param licenseIds 需要删除的执照主键集合
     * @return 结果
     */
    public int deleteLicenseByLicenseIds(Long[] licenseIds);

    /**
     * 删除执照信息
     * 
     * @param licenseId 执照主键
     * @return 结果
     */
    public int deleteLicenseByLicenseId(Long licenseId);

    /**
     * 查询执照列表
     *
     * @return 执照集合
     */
    public List<License> getLicenseList();
}
